<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayoutMain"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/toolbarMain"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:menu="@menu/menu_filter"
            tools:title="Title" />
    </com.google.android.material.appbar.AppBarLayout>

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayoutMainLarge"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/appBarLayoutMain">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/toolbarMainLarge"
            style="@style/Styles.TopAppBar.Main.Large"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:menu="@menu/menu_filter"
            tools:title="Title" />
    </com.google.android.material.appbar.AppBarLayout>

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayoutSubCentered"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/appBarLayoutMainLarge">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/toolbarSubCentered"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:menu="@menu/menu_options"
            app:navigationIcon="@drawable/ic_back">

            <com.google.android.material.textview.MaterialTextView
                style="@style/Styles.Text.Headline"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                tools:text="Title" />
        </com.google.android.material.appbar.MaterialToolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayoutSub"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/appBarLayoutSubCentered">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/toolbarSub"
            style="@style/Styles.TopAppBar.Sub"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:menu="@menu/menu_options"
            app:navigationIcon="@drawable/ic_back"
            tools:subtitle="Subtitle"
            tools:title="Title" />
    </com.google.android.material.appbar.AppBarLayout>

</androidx.constraintlayout.widget.ConstraintLayout>